SchedulerServicePlugin (The Data Transfer scheduler library 2.1.0-4.9.0-126143 API)
Date: 2017-12-19

org.gcube.datatransfer.scheduler.library.plugins

## Class SchedulerServicePlugin

- java.lang.Object
- - org.gcube.datatransfer.scheduler.library.plugins.SchedulerAbstractPlugin<SchedulerServiceJAXWSStubs,SchedulerLibrary>
  - - org.gcube.datatransfer.scheduler.library.plugins.SchedulerServicePlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,SchedulerServiceJAXWSStubs,SchedulerLibrary>, org.gcube.common.clients.fw.plugin.Plugin<SchedulerServiceJAXWSStubs,SchedulerLibrary>

      public class SchedulerServicePlugin
      extends SchedulerAbstractPlugin<SchedulerServiceJAXWSStubs,SchedulerLibrary>

- - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.scheduler.library.plugins.SchedulerAbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerServicePlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `convert(Exception arg0, org.gcube.common.clients.config.ProxyConfig<?,?> arg1)`
    `SchedulerLibrary` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<SchedulerServiceJAXWSStubs> delegate)`
    `SchedulerServiceJAXWSStubs` | `resolve(EndpointReference address, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.datatransfer.scheduler.library.plugins.SchedulerAbstractPlugin

      `name, namespace, serviceClass, serviceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerServicePlugin

          public SchedulerServicePlugin()

  - ### Method Detail

    - #### resolve

          public SchedulerServiceJAXWSStubs resolve(EndpointReference address,
                                           org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                             throws Exception

      Throws:
        `Exception`

    - #### newProxy

          public SchedulerLibrary newProxy(org.gcube.common.clients.delegates.ProxyDelegate<SchedulerServiceJAXWSStubs> delegate)

    - #### convert

          public Exception convert(Exception arg0,
                          org.gcube.common.clients.config.ProxyConfig<?,?> arg1)

Copyright © 2017. All Rights Reserved.